
Flourish - Bug #5357

Death Report form is not triggered

01/09/2021 08:37 - Gosego Masasa

Status: Closed Start date: 01/09/2021

Priority: Immediate Due date: 06/12/2021

Assignee: moffat motlhanka % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

Hello, kindly assist with the above, we wanted to key death report for maternal PID 0257-3, but the form is not triggered. Kindly make it to

trigger once the survival status(Q12) of the visit report is "dead", do this on the infant side as well.

History

#1 - 23/09/2021 14:32 - Coulson Kgathi

- Assignee set to Coulson Kgathi

#2 - 11/11/2021 14:58 - Itumeleng Mosweu

- Assignee changed from Coulson Kgathi to moffat motlhanka

#3 - 11/11/2021 15:17 - moffat motlhanka

- Due date set to 12/11/2021

#4 - 15/11/2021 10:04 - moffat motlhanka

- Status changed from New to In Progress

#5 - 16/11/2021 08:13 - moffat motlhanka

- Due date changed from 12/11/2021 to 18/11/2021

#6 - 18/11/2021 15:05 - Itumeleng Mosweu

- Due date changed from 18/11/2021 to 19/11/2021

#7 - 23/11/2021 15:05 - Itumeleng Mosweu

- Status changed from In Progress to Resolved

#8 - 25/11/2021 11:08 - Samuel Wilson Kgole

- Status changed from Resolved to Feedback

death report was not triggered during testing but an off study. The sequence is, complete DEATH REPORT then OFF STUDY. This was discussed with

Coulson before.

#9 - 30/11/2021 11:20 - moffat motlhanka

- Status changed from Feedback to Resolved

#10 - 02/12/2021 10:03 - Samuel Wilson Kgole

- Status changed from Resolved to Feedback

death report is now triggered however we are  forbidden to open the form. please give us permission to do so.
#11 - 02/12/2021 11:34 - Samuel Wilson Kgole

Death report form can be opened but EDC does not give us off study form after.

Please address that (Death report followed by off study form). Similarly, apply this to infants, death form is not triggered but only an off study reflects.

#12 - 02/12/2021 14:34 - moffat motlhanka

- Due date changed from 19/11/2021 to 06/12/2021

#13 - 02/12/2021 14:35 - moffat motlhanka

- Status changed from Feedback to In Progress

#14 - 02/12/2021 15:41 - moffat motlhanka

- Status changed from In Progress to Resolved

#15 - 03/12/2021 10:08 - Samuel Wilson Kgole

- File DoesNotExist at _admin_flourish_prn_caregiveroffstudy_add_.pdf added

- File Add Child Death Report _ Caregiver Flourish_ Subjects.pdf added

- Status changed from Resolved to Feedback

1. death report saves well for the mother but YELLOW PAGE when saving off study form

2. when saving death report for the infants, we see this error message: Please complete Caregiver Consent form before proceeding

#16 - 06/12/2021 16:52 - moffat motlhanka

- Status changed from Feedback to Resolved

#17 - 07/12/2021 13:03 - Samuel Wilson Kgole

- Status changed from Resolved to Closed

passed testing. mother and infant side. death report is triggered first and after saving it, an off study form get activated for completion.

Files

DoesNotExist at _admin_flourish_prn_caregiveroffstudy_add_.pdf 164 KB 03/12/2021 Samuel Wilson Kgole

Add Child Death Report _ Caregiver Flourish_ Subjects.pdf 118 KB 03/12/2021 Samuel Wilson Kgole
